%global	pidgin_version 2.0.0

Name:		pidgin-facebookchat
Version:	1.35
Release:	2%{?dist}
Summary:	Facebook Chat IM Pidgin plugin 
Group:		Applications/Internet
License:	GPLv3+
URL:		http://code.google.com/p/pidgin-facebookchat/
Source0:	http://pidgin-facebookchat.googlecode.com/files/%{name}-source-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	pidgin-devel >= %{pidgin_version}
Requires:	pidgin >= %{pidgin_version}

%description
This is a Facebook chat plugin for Pidgin and libpurple messengers. It 
connects to the new Facebook Chat IM service without the need for an API 
key.

Currently the plugin can log into the Facebook servers, grab the buddy 
list, send/receive messages, add/remove friends, receive notifications, 
search for Facebook friends and set your Facebook status. 

%prep
%setup -q -c -n %{name}-%{version}
sed -i 's|/usr/lib|%{_libdir}|g' Makefile

%build
# The makefile is horrifying. Just don't pay attention to the variable
# names we're abusing here, it gives us the right end-result.
make LINUX32_COMPILER="gcc %{optflags}" libfacebook.so

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/purple-2/
install -p libfacebook.so %{buildroot}%{_libdir}/purple-2/
mkdir -p %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/16/
mkdir -p %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/22/
mkdir -p %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/48/
install -p facebook16.png %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/16/facebook.png
install -p facebook22.png %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/22/facebook.png
install	-p facebook48.png %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/48/facebook.png

mkdir -p %{buildroot}/opt/mycompany/files
touch %{buildroot}/opt/mycompany/files/foo

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/purple-2/libfacebook.so
%{_datadir}/pixmaps/pidgin/protocols/*/facebook.png
/opt/mycompany/files/

%changelog
* Thu Sep 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.35-2
- apply more duct-tape to the horrifying Makefile

* Wed Aug 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.35-1
- update to 1.35

* Wed Aug 13 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.33-1
- Initial packaging for Fedora
